Workspaces - Diagnose
Diagnose workspace setup issue.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/diagnose?api-version=2025-09-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
workspace
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$ |
Name of Azure Machine Learning workspace. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| value |
Value of Parameters |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 202 Accepted |
Success Headers
|
|
| Other Status Codes |
Error |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Diagnose Workspace
Sample request
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/workspace-1234/providers/Microsoft.MachineLearningServices/workspaces/testworkspace/diagnose?api-version=2025-09-01
{
"value": {
"udr": {},
"nsg": {},
"resourceLock": {},
"dnsResolution": {},
"storageAccount": {},
"keyVault": {},
"containerRegistry": {},
"applicationInsights": {},
"others": {}
}
}
Sample response
{
"value": {
"userDefinedRouteResults": [],
"networkSecurityRuleResults": [],
"resourceLockResults": [],
"dnsResolutionResults": [
{
"code": "CustomDNSInUse",
"level": "Warning",
"message": "We have detected an on-premise dns server is configured. Please make sure conditional forwarding is configured correctly according to doc https://foo"
}
],
"storageAccountResults": [],
"keyVaultResults": [],
"containerRegistryResults": [],
"applicationInsightsResults": [],
"otherResults": []
}
}
Location: example_location
Definitions
| Name | Description |
|---|---|
|
Diagnose |
|
|
Diagnose |
|
|
Diagnose |
Result of Diagnose |
|
Diagnose |
Level of workspace setup error |
|
Diagnose |
Parameters to diagnose a workspace |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
| Value |
DiagnoseRequestProperties
| Name | Type | Description |
|---|---|---|
| applicationInsights |
object |
Setting for diagnosing dependent application insights |
| containerRegistry |
object |
Setting for diagnosing dependent container registry |
| dnsResolution |
object |
Setting for diagnosing dns resolution |
| keyVault |
object |
Setting for diagnosing dependent key vault |
| nsg |
object |
Setting for diagnosing network security group |
| others |
object |
Setting for diagnosing unclassified category of problems |
| resourceLock |
object |
Setting for diagnosing resource lock |
| storageAccount |
object |
Setting for diagnosing dependent storage account |
| udr |
object |
Setting for diagnosing user defined routing |
DiagnoseResponseResult
| Name | Type | Description |
|---|---|---|
| value |
DiagnoseResult
Result of Diagnose
| Name | Type | Description |
|---|---|---|
| code |
string |
Code for workspace setup error |
| level |
Level of workspace setup error |
|
| message |
string |
Message of workspace setup error |
DiagnoseResultLevel
Level of workspace setup error
| Value | Description |
|---|---|
| Warning | |
| Error | |
| Information |
DiagnoseWorkspaceParameters
Parameters to diagnose a workspace
| Name | Type | Description |
|---|---|---|
| value |
Value of Parameters |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
Value
| Name | Type | Description |
|---|---|---|
| applicationInsightsResults |
Result of Diagnose |
|
| containerRegistryResults |
Result of Diagnose |
|
| dnsResolutionResults |
Result of Diagnose |
|
| keyVaultResults |
Result of Diagnose |
|
| networkSecurityRuleResults |
Result of Diagnose |
|
| otherResults |
Result of Diagnose |
|
| resourceLockResults |
Result of Diagnose |
|
| storageAccountResults |
Result of Diagnose |
|
| userDefinedRouteResults |
Result of Diagnose |